import { jsx as ___EmotionJSX } from "@emotion/core";
import React from 'react';
import PropTypes from 'prop-types';
import { ChipStyles, ChipText } from './style';

var Chip = function Chip(_ref) {
  var status = _ref.status,
      text = _ref.text;
  return ___EmotionJSX(ChipStyles, {
    status: status
  }, ___EmotionJSX(ChipText, null, text));
};

Chip.propTypes = {
  status: PropTypes.oneOf(['pending', 'success', 'error', 'closed']).isRequired,
  text: PropTypes.string.isRequired
};
export default Chip;